using System.ComponentModel.DataAnnotations;
using Microsoft.EntityFrameworkCore;

namespace JOBot.Backend.DAL.Models;

[PrimaryKey(nameof(Id))]
public class User
{
    public Guid Id { get; set; }

    [Key]
    public required long TelegramId { get; set; }
    [MaxLength(50)]
    public string? Username { get; set; }
    public DateTime CreatedAt { get; set; } = DateTime.UtcNow;
}