﻿using JOBot.TClient;
using JOBot.TClient.Core.HostedServices;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;

var host = Host.CreateDefaultBuilder(args)
    .ConfigureServices((context, services) =>
    {
        // Настройка DI
        services.ConfigureServices(context.Configuration);
        
        // Фоновый сервис для бота
        services.AddHostedService<BotBackgroundService>();
    })
    .Build();

await host.RunAsync();